Summary: GNOME Energy Saving Preference dialog
Name: battfink
Version: 0.6.2
Release: %mkrel 6
License: GPLv2+
Group: Graphical desktop/GNOME
URL: http://www.gnome.org/softwaremap/projects/battfink/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires: libgnomeui2-devel
BuildRequires: libglade2.0-devel
BuildRequires: libapm-devel
BuildRequires: scrollkeeper
Requires: scrollkeeper

%description
This is Battfink, an Energy Saving Preference dialog with an associating
battery notification icon. 

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%find_lang %{name}-0.1 --with-gnome --all-name

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Energy Saving
Comment=Configure energy saving for your system
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GNOME;GTK;Settings;DesktopSettings;
ShowOnlyIn=GNOME;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%update_scrollkeeper
%post_install_gconf_schemas %name
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_scrollkeeper
%clean_menus
%endif

%preun
%preun_uninstall_gconf_schemas %name

%files -f %{name}-0.1.lang
%defattr(-,root,root,-)
%doc README NEWS ChangeLog TODO AUTHORS
%{_bindir}/*
%{_sysconfdir}/gconf/schemas/*
%{_libdir}/bonobo/servers/*
%{_datadir}/battfink
%{_datadir}/control-center-2.0/capplets/*
%{_datadir}/pixmaps/*
%{_datadir}/omf/*
%{_datadir}/applications/mandriva-%{name}.desktop


%changelog
* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.6.2-6mdv2009.0
+ Revision: 243167
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sat Jan 26 2008 Funda Wang <fundawang@mandriva.org> 0.6.2-4mdv2008.1
+ Revision: 158190
- fix menu entry
- use gconf macro

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.6.2-3mdv2008.1
+ Revision: 135828
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - import battfink


* Mon Sep 04 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.2-3mdv2007.0
- XDG

* Wed Dec 07 2005 Lenny Cartier <lenny@mandriva.com> 0.6.2-2mdk
- rebuild

* Wed Nov 26 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.2-1mdk
- Release 0.6.2

* Wed Jul 23 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.6.1-1mdk
- Release 0.6.1
- Remove patch0 (merged upstream)

* Tue Jul 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.6-1mdk
- Patch0 : remove generated files

* Fri Jul 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.6-1mdk
- Release 0.6

* Fri Apr 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.5-1mdk
- Release 0.5
- Remove patch0 (merged upstream)

* Fri Apr 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.4-1mdk
- First Mandrake package
- Patch0: fix ACPI crash

